OpenVDB 13.0.0

Loading...
Searching...
No Matches
DirichletBoundaryOp< ValueType > Struct Template Reference

Dirichlet boundary condition functor. More...

`#include <openvdb/tools/PoissonSolver.h>`

## Public Member Functions
void | operator() (const Coord &, const Coord &, ValueType &, ValueType &diag) const

## Detailed Description

template<typename ValueType>
struct openvdb::v13_0::tools::poisson::DirichletBoundaryOp< ValueType >

Dirichlet boundary condition functor.

This is useful in describing fluid/air interfaces, where the pressure of the air is assumed to be zero.

## Member Function Documentation

## ◆ operator()()

template<typename ValueType>

void operator() | ( | const Coord & | ,
|  | const Coord & | ,
|  | ValueType & | ,
|  | ValueType & | diag ) const
| inline